List a lead's notes
GET
/leads/{id}/notes
const url = 'https://app.whatsetter.com/api/v1/leads/example/notes';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.whatsetter.com/api/v1/leads/example/notes \ --header 'Authorization: Bearer <token>'The notes written on this lead, newest first (at most 100): from the
dashboard’s journal and from the API. author is the person’s name,
or API · <key name> for notes added with a key. Requires scope
leads:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”The notes, newest first
Media typeapplication/json
object
data
Array<object>
object
id
string
text
string
author
The person’s name, or API · <key name> for notes written with a key.
string | null
created_at
string format: date-time
Example
{ "data": [ { "id": "68ed11aa22bb33cc44dd55ee", "text": "Wants a call after the 25th, budget confirmed.", "author": "API · HubSpot sync", "created_at": "2026-09-19T08:14:02.000Z" }, { "id": "68ec0099aa88bb77cc66dd55", "text": "Asked for the brochure, sent.", "author": "Julien Martin", "created_at": "2026-09-17T15:20:41.000Z" } ]}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}Resource not found in this workspace
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}
